﻿@model AHCBL.Dto.Admin.ItemListDto
@{
    ViewBag.Title = "Item List";
}

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    <div class="xp-contentbar" style="margin-top:60px;">
        <div class="row">
            <!-- Start XP Col -->
            <div class="col-md-12 col-lg-12 col-xl-12">
                <div class="card m-b-30">
                    <div class="card-header bg-white">
                        <h5 class="card-title text-black">상품 입력</h5>
                    </div>
                    <div class="card-body">                       
                        <div class="table-responsive">
                            <div style="min-width:1366px;max-width:100%; margin:auto;">
                                <h5>@ViewBag.Message</h5>
                                @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                                <h5><b><label class="text-black">상품분류</label></b></h5>
                                <table class="table">
                                    <tr>
                                        <th>
                                            <label>기본분류</label>
                                        </th>
                                        <td colspan="5">
                                            <p class="font-11">기본분류를 선택하면, 판매/재고/HTML사용/판매자 E-mail 등을, 선택한 분류의 기본값으로 설정합니다.</p>
                                            <div style="width:300px">
                                                @Html.DropDownListFor(model => model.product_id, ViewBag.product_id as SelectList, new { @class = "form-control bg-white border" })
                                            </div>
                                        </td>

                                    </tr>
                                    <tr><td colspan="6"><h6>기본정보</h6></td></tr>
                                    <tr>
                                        <th>
                                            <label>상품코드</label>
                                        </th>
                                        <td>
                                            <p class="font-11">
                                                상품의 코드는 10자리 숫자로 자동생성합니다. <b>직접 상품코드를 입력할 수도 있습니다.</b>
                                            </p>
                                            <p class="font-11">
                                                상품코드는 영문자, 숫자, - 만 입력 가능합니다.
                                            </p>
                                            <div style="width:300px">
                                                @Html.EditorFor(model => model.code, new { htmlAttributes = new { @class = "form-control bg-white border", @Value = ViewBag.ItemNo } })
                                            </div>
                                        </td>
                                        <th>
                                            <label>판매가능</label>
                                        </th>
                                        <td colspan="3">
                                            <p class="font-11">일정금액 도달시 판매중지</p>
                                            @Html.CheckBoxFor(model => model.it_use, new { @checked = "checked" }) 예
                                        </td>
                                    </tr>
                                    <tr><td colspan="6"><h6>가격 및 시간 설정</h6></td></tr>
                                    <tr>
                                        <th>
                                            <label>판매가격</label>
                                        </th>
                                        <td>
                                            <div class="input-group mb-3" style="width:300px">
                                                @Html.EditorFor(model => model.price_interest, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                <div class="input-group-append">
                                                    <span class="input-group-text">원</span>
                                                </div>
                                            </div>
                                        </td>
                                        <th>
                                            <label>매입자</label>
                                        </th>
                                        <td>
                                            <div style="width:300px">
                                                @Html.EditorFor(model => model.buy_name, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            </div>
                                        </td>
                                        <th>
                                            <label>당첨날짜</label>
                                        </th>
                                        <td>
                                            <div style="width:300px">
                                                @Html.EditorFor(model => model.start_date, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                            </div>
                                        </td>
                                    </tr>
                                    <tr><td colspan="6"></td></tr>
                                </table>
                                <div class="form-group text-center">
                                    <div class="col-md-offset-2 col-md-10">
                                        <input type="button" value="Back" onclick="location.href='@Url.Action("Index", "ItemList")'" class="btn btn-light" />
                                        <input type="submit" value="Create" class="btn btn-default" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}
    <script>
        $(function () {
            $("th").addClass("bg-secondary-rgba align-middle");
            $("#liCategory").addClass("active");
            $("#meItem").addClass("active");

        });
    </script>
